Skip to main content

Point

About 1 min

Some methods and algorithms based on XYZ class encapsulation

Tips

The following documentation only provides function prototypes, if you have any questions please check the Documentation

AreThreePointsCollinear

Determine whether the three points are collinear

RevitSugar.DB.XYZExtension.AreThreePointsCollinear(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.XYZ,System.Double)

IsVerticalWith

Determine whether two vectors are perpendicular

RevitSugar.DB.XYZExtension.IsVerticalWith(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.XYZ,System.Double)

IsSameDirectionWith

Determine whether two vectors are going in the same direction

RevitSugar.DB.XYZExtension.IsSameDirectionWith(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.XYZ,System.Double)

IsOppositeDirectionWith

Determine whether two vectors are in opposite directions

RevitSugar.DB.XYZExtension.IsOppositeDirectionWith(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.XYZ,System.Double)

IsParallerWith

Determine whether two vectors are parallel

RevitSugar.DB.XYZExtension.IsParallerWith(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.XYZ,System.Double,System.Boolean)

IsAlmostEqualWith

Determine whether two vectors are equal

RevitSugar.DB.XYZExtension.IsAlmostEqualWith(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.XYZ,System.Double,System.Boolean)

GetDirectionWith

Get the direction of the two points

RevitSugar.DB.XYZExtension.GetDirectionWith(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.XYZ)

Flat

Flatten the tap to a certain vertical height

RevitSugar.DB.XYZExtension.Flat(Autodesk.Revit.DB.XYZ,System.Double)

DeepClone

Deep copy of XYZ

RevitSugar.DB.XYZExtension.DeepClone(Autodesk.Revit.DB.XYZ)

CanProjectToFace

Determine whether the point can be projected onto the surface

RevitSugar.DB.XYZExtension.CanProjectToFace(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.Face,Autodesk.Revit.DB.IntersectionResults)

GetDistanceToPlane

Gets the distance between the point and plane

RevitSugar.DB.XYZExtension.GetDistanceToPlane(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.Plane)

ProjectToPlane

Project the point onto the plane

RevitSugar.DB.XYZExtension.ProjectToPlane(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.Plane)

GetIntersertWithPlane

Gets the point at which the point intersects the plane in the specified direction

RevitSugar.DB.XYZExtension.GetIntersertWithPlane(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.Plane)

GetProjectPoint

Gets the projection point of the point on the plane

RevitSugar.DB.XYZExtension.GetProjectPoint(Autodesk.Revit.DB.Plane,Autodesk.Revit.DB.XYZ)

TryMakeLineWith

Try building a line segment

RevitSugar.DB.XYZExtension.TryMakeLineWith(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.Line)

GetDistanceFromCurve

Gets the distance from the point to the curve

RevitSugar.DB.XYZExtension.GetDistanceFromCurve(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.Curve)

GetMinAngleWithVector

Get the smallest Angle between two vectors

RevitSugar.DB.XYZExtension.GetMinAngleWithVector(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.XYZ)

Offset

Offset the vector by a certain distance in the specified direction

RevitSugar.DB.XYZExtension.Offset(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.XYZ,System.Double)

GetVerticalIntersection

Gets the intersection perpendicular to the line

RevitSugar.DB.XYZExtension.GetVerticalIntersection(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.Line)

Rotate

Rotate an Angle around a vector in one direction

RevitSugar.DB.XYZExtension.Rotate(Autodesk.Revit.DB.XYZ,Autodesk.Revit.DB.XYZ,System.Double)

GetLocationPoint

Gets the location of the primitive

RevitSugar.DB.XYZExtension.GetLocationPoint(Autodesk.Revit.DB.Element)